openfire使用oracle数据库

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/l139955/article/details/51994259

openfire本身支持oracle数据库,也提供了相关SQL,这里主要解决的问题是,openfire虽然提供了这些,但是本身没有提供oracle的jdbc驱动,这是由于oracle的版权问题造成的,解决方法是:

下载oracle的jdbc驱动jar包,然后复制到:

D:\develop\workspace_idea\openfire\target\openfire\lib

如果是开发环境,在IDEA中开发的话,那么需要将jar包放到:

D:\develop\workspace_idea\openfire\build\lib\dist中,并进行引用到dist依赖中,如图:


展开阅读全文

没有更多推荐了,返回首页